Skip to main content
`Ctrl`+`K`

# TSARKIMEXSetFullyImplicit

Solve both parts of the equation implicitly, including the part that is normally solved explicitly

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSARKIMEXSetFullyImplicit(TS ts, PetscBool flg)

Logically Collective

## Input Parameters

- ts - timestepping context

- flg - `PETSC_TRUE` for fully implicit

## Options Database Key

- -ts_arkimex_fully_implicit <true,false> - Solve both parts of the equation implicitly

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEX`, `TSARKIMEXGetType()`, `TSARKIMEXGetFullyImplicit()`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

## Examples

src/ts/tutorials/extchemfield.c
src/ts/tutorials/extchem.c

## Implementations

TSARKIMEXSetFullyImplicit_ARKIMEX() in src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages